"""A few thing we need for conversion to our pgtypes from strings read
from the database.

Not intended to be 'public.'
"""
from pgtypes import *
import datetime

def convertBool(b):
	if b.upper().startswith("T"):
		return True
	if b.upper().startswith("F"):
		return False
	raise DataError, ("Cannot convert '%s' to boolean" % b)

def dateString(s):
	try:
		parts = map(int,s.split("-"))
		return datetime.date(*parts)
	except:
		raise DataError, ("Cannot convert string '%s' to datetime.date; only ISO-8601 output supported" % s)

def timeString(ins):
	if ins.count("-"):
		ins = ins.split("-")[0] #discarding timestamp for right tnow
			
	try:
		h,m,sparts = ins.split(":")
		h,m = map(int,(h,m))
		if sparts.count("."):
			ssegs = sparts.split(".")
			s,ms = map(int,ssegs)
			if ms:
				l = len(ssegs[1])
				ms *= 10 ** (6 - l)
		else:
			s = int(sparts)
			ms = 0
	except:
		raise DataError, ("Cannot convert string '%s' to datetime.time; only ISO-8601 output supported" % ins)

	return datetime.time(h,m,s,ms)

def dateTimeString(s):
	p1,p2 = s.split(" ")
	dt = dateString(p1)
	tm = timeString(p2)
	return datetime.datetime(dt.year,dt.month,dt.day,
	tm.hour,tm.minute,tm.second,tm.microsecond)
